Package org.opensaml.soap.wstrust.impl

# Class AbstractWSTrustObjectBuilder<WSTrustObjectType extends WSTrustObject>

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<WSTrustObjectType>
org.opensaml.soap.wstrust.impl.AbstractWSTrustObjectBuilder<WSTrustObjectType>

Type Parameters:
  `WSTrustObjectType` - the type of WSTrustObject being built

All Implemented Interfaces:
  `XMLObjectBuilder<WSTrustObjectType>`, `WSTrustObjectBuilder<WSTrustObjectType>`

Direct Known Subclasses:
  `AllowPostdatingBuilder`, `AuthenticationTypeBuilder`, `AuthenticatorBuilder`, `BinaryExchangeBuilder`, `BinarySecretBuilder`, `CancelTargetBuilder`, `CanonicalizationAlgorithmBuilder`, `ChallengeBuilder`, `ClaimsBuilder`, `CodeBuilder`, `CombinedHashBuilder`, `ComputedKeyAlgorithmBuilder`, `ComputedKeyBuilder`, `DelegatableBuilder`, `DelegateToBuilder`, `EncryptionAlgorithmBuilder`, `EncryptionBuilder`, `EncryptWithBuilder`, `EntropyBuilder`, `ForwardableBuilder`, `IssuedTokensBuilder`, `IssuerBuilder`, `KeyExchangeTokenBuilder`, `KeySizeBuilder`, `KeyTypeBuilder`, `KeyWrapAlgorithmBuilder`, `LifetimeBuilder`, `OnBehalfOfBuilder`, `ParticipantBuilder`, `ParticipantsBuilder`, `PrimaryBuilder`, `ProofEncryptionBuilder`, `ReasonBuilder`, `RenewingBuilder`, `RenewTargetBuilder`, `RequestedAttachedReferenceBuilder`, `RequestedProofTokenBuilder`, `RequestedSecurityTokenBuilder`, `RequestedTokenCancelledBuilder`, `RequestedUnattachedReferenceBuilder`, `RequestKETBuilder`, `RequestSecurityTokenBuilder`, `RequestSecurityTokenCollectionBuilder`, `RequestSecurityTokenResponseBuilder`, `RequestSecurityTokenResponseCollectionBuilder`, `RequestTypeBuilder`, `SignatureAlgorithmBuilder`, `SignChallengeBuilder`, `SignChallengeResponseBuilder`, `SignWithBuilder`, `StatusBuilder`, `TokenTypeBuilder`, `UseKeyBuilder`, `ValidateTargetBuilder`

public abstract class AbstractWSTrustObjectBuilder<WSTrustObjectType extends WSTrustObject> extends AbstractXMLObjectBuilder<WSTrustObjectType> implements WSTrustObjectBuilder<WSTrustObjectType>
AbstractWSTrustObjectBuilder.

## Constructor Summary

Constructors
Constructor
Description
`AbstractWSTrustObjectBuilder()`

## Method Summary

Modifier and Type
Method
Description
`abstract WSTrustObjectType`
`buildObject()`
Builds a WS-Trust object of the given type.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### AbstractWSTrustObjectBuilder

public AbstractWSTrustObjectBuilder()

## Method Details

### buildObject

@Nonnull public abstract WSTrustObjectType buildObject()
Builds a WS-Trust object of the given type.

Specified by:
  `buildObject` in interface `WSTrustObjectBuilder<WSTrustObjectType extends WSTrustObject>`
Returns:
  the built object